Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# LayerEditorUI Class Reference

List of all members.

## Public Member Functions
def | __init__
def | addLayer
def | addLayerData
def | addLayerEntry
def | addObj
def | deleteLayer
def | findLabel
def | getSaveData
def | HideObj
def | menuAppendGenItems
def | menuAppendObjItems
def | onPopupItemSelected
def | onShowMembers
def | onShowPopup
def | removeObj
def | removeObjData
def | renameLayer
def | reset
def | traverse
## Public Attributes
| editor
| editorTxt
| layersDataDict
| layersDataDictNextKey
| llist
| menuItemsGen
| menuItemsObj
| opAdd
| opAddObj
| opDelete
| opHideObj
| opRemoveObj
| opRename
| opShowObj
| popupmenu
| saveData
| systemLayerKeys

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | parent,
|  |  | editor
| ) |  |

## Member Function Documentation

def addLayer | ( |  | self | ) |

def addLayerData | ( |  | self,
|  |  | idx,
|  |  | objUID
| ) |  |

def addLayerEntry | ( |  | self,
|  |  | name,
|  |  | idx
| ) |  |

def addObj | ( |  | self | ) |

def deleteLayer | ( |  | self | ) |

def findLabel | ( |  | self,
|  |  | text
| ) |  |

def getSaveData | ( |  | self | ) |

def HideObj | ( |  | self,
|  |  | hide
| ) |  |

def menuAppendGenItems | ( |  | self | ) |

def menuAppendObjItems | ( |  | self,
|  |  | hitItem
| ) |  |

def onPopupItemSelected | ( |  | self,
|  |  | event
| ) |  |

def onShowMembers | ( |  | self,
|  |  | event
| ) |  |

def onShowPopup | ( |  | self,
|  |  | event
| ) |  |

def removeObj | ( |  | self | ) |

def removeObjData | ( |  | self,
|  |  | objUID
| ) |  |

def renameLayer | ( |  | self | ) |

def reset | ( |  | self | ) |

def traverse | ( |  | self | ) |

## Member Data Documentation

editor

editorTxt

layersDataDict

layersDataDictNextKey

llist

menuItemsGen

menuItemsObj

opAdd

opAddObj

opDelete

opHideObj

opRemoveObj

opRename

opShowObj

popupmenu

saveData

systemLayerKeys

All Classes Namespaces Functions Variables Enumerations Enumerator Properties